# TODO:
# - package (or clean) xml/html docs to -apidocs
#   /usr/share/doc/libXt/*
Summary:	X Toolkit Intrinsics library
Summary(pl.UTF-8):	Biblioteka X Toolkit Intrinsics
Name:		xorg-lib-libXt
Version:	1.1.3
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXt-%{version}.tar.bz2
# Source0-md5:	a6f137ae100e74ebe3b71eb4a38c40b3
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	sed >= 4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.1
BuildRequires:	xorg-util-util-macros >= 1.13
Obsoletes:	libXt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Toolkit Intrinsics library.

%description -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

%package devel
Summary:	Header files for libXt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libSM-devel
Requires:	xorg-lib-libX11-devel
Obsoletes:	libXt-devel

%description devel
X Toolkit Intrinsics library.

This package contains the header files needed to develop programs that
use libXt.

%description devel -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXt.

%package static
Summary:	Static libXt library
Summary(pl.UTF-8):	Biblioteka statyczna libXt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXt-static

%description static
X Toolkit Intrinsics library.

This package contains the static libXt library.

%description static -l pl.UTF-8
Biblioteka X Toolkit Intrinsics.

Pakiet zawiera statyczną bibliotekę libXt.

%prep
%setup -q -n libXt-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults
install -d $RPM_BUILD_ROOT%{_datadir}/X11/{cs,da,de,es,es_AR,eu,fr,hu,it,ja,ko,mg,nb,nl,oc,pl,pt,pt_BR,ru,sk,sv,zh_CN,zh_TW}/app-defaults

# there's no man3x in pld
grep -rl man3x $RPM_BUILD_ROOT%{_mandir}/man3/* | xargs %{__sed} -i -e 's,man3x,man3,'

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXt.so.6
%dir %{_datadir}/X11/app-defaults
%lang(cs) %{_datadir}/X11/cs
%lang(da) %{_datadir}/X11/da
%lang(de) %{_datadir}/X11/de
%lang(es) %{_datadir}/X11/es
%lang(es_AR) %{_datadir}/X11/es_AR
%lang(eu) %{_datadir}/X11/eu
%lang(fr) %{_datadir}/X11/fr
%lang(hu) %{_datadir}/X11/hu
%lang(it) %{_datadir}/X11/it
%lang(ja) %{_datadir}/X11/ja
%lang(ko) %{_datadir}/X11/ko
%lang(mg) %{_datadir}/X11/mg
%lang(nb) %{_datadir}/X11/nb
%lang(nl) %{_datadir}/X11/nl
%lang(oc) %{_datadir}/X11/oc
%lang(pl) %{_datadir}/X11/pl
%lang(pt) %{_datadir}/X11/pt
%lang(pt_BR) %{_datadir}/X11/pt_BR
%lang(ru) %{_datadir}/X11/ru
%lang(sk) %{_datadir}/X11/sk
%lang(sv) %{_datadir}/X11/sv
%lang(zh_CN) %{_datadir}/X11/zh_CN
%lang(zh_TW) %{_datadir}/X11/zh_TW

%files devel
%defattr(644,root,root,755)
%doc specs/intrinsics.html
%attr(755,root,root) %{_libdir}/libXt.so
%{_libdir}/libXt.la
%{_includedir}/X11/*.h
%{_pkgconfigdir}/xt.pc
%{_mandir}/man3/MenuPop*.3x*
%{_mandir}/man3/Xt*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXt.a
%changelog
* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 56aa5d5
fix man links pointing to inexistent section

* Fri Mar 16 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c50217
- up to 1.1.3

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> bea9d47
- updated to 1.1.2

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f5db8de
- updated to 1.1.1

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b22c12
- updated to 1.1.0

* Fri Oct 29 2010 Jakub Bogusz <qboosh@pld-linux.org> ee2f4d9
- updated to 1.0.9

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 34950c5
- up to 1.0.8

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> a2e382f
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> 2a6ba22
- updated util-macros version

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 897ff08
- up to 1.0.7

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 8cbb3ff
- updated util-macros version
- ghost soname symlink
- more verbose files and descs
- added README to doc

* Fri Jul 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 90b506f
- up to 1.0.6

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fbab1d
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c8eed82
- tabs in preamble

* Mon Feb 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a6eecd
- rel 2

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f4b102
- converted to UTF-8

* Tue Jan 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 3f2a3ed
- updated to 1.0.5

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c15df87
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a81804
- rebuild

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a2dab1
- up to 1.0.4

